## JF-97755e3.tar.gz

=== docs/Makefile ===
include ../JF.conf

all:
	for i in * ;\
		do if [ -d $$i ]; then\
			(cd $$i ; make BASENAME=$$i `../../bin/mkargs.pl info`); \
		fi;\
	done

install: all
	for i in * ;\
		do if [ -d $$i ]; then\
			(cd $$i ; make BASENAME=$$i `../../bin/mkargs.pl info` install); \
		fi;\
	done

clean:
	for i in * ;\
		do if [ -d $$i ]; then\
			(cd $$i ; make BASENAME=$$i `../../bin/mkargs.pl info` clean); \
		fi;\
	done

=== ftp/Makefile ===
# $Id: Makefile,v 1.3 2000/02/27 16:23:59 fuku Exp $

include ../JF.conf

UPDATE := $(shell ls --full-time $(LAST_MODIFIED) | awk '{print $$6,$$7,$$8,$$9,"JST",$$10}')

TAR_FLAG = --exclude=CVS --exclude=Makefile \
           --exclude="*.\#?*" --exclude=.cvsignore \
           --exclude=ChangeLog

install:
	(cd JF; tar cf - $(TAR_FLAG) ./) | ( cd $(FTP_ROOT); tar xpf -)
	(cd howto-translations; tar cf - $(TAR_FLAG) ./) | \
	  ( cd $(LDP_ROOT); tar xpf -)
	echo $(UPDATE)
	for f in `find $(FTP_ROOT) -name .message -type f`; do \
	  echo "" >> $${f};\
	  echo " Last updated: $(UPDATE)" >> $${f};\
	done

=== www/Makefile ===
#
# Makefile for contents in www
# $Id: Makefile,v 1.22 2008/10/05 11:13:22 mdk Exp $
#

include ../JF.conf

ifndef WORKDIR
WORKDIR         = /var/tmp/JF
endif

ADMDIR=../admin
VPATH=../:bin:../bin:../lists

.SUFFIXES: .html .xml .m4

CONTENTS = links.html index.html news.html copyright.html \
	WhatisJF.html jf-ml.html jf-gofer-ml.html old-news.html \
	notfound.html updated-docs.html onegai.html update.xml

.m4.html:
	nkf -e $*.m4 > /tmp/$*.m4
	m4 -P -D _WORKDIR=$(WORKDIR) /tmp/$*.m4 | nkf -w > $*.html
	rm -f /tmp/$*.m4

.m4.xml:
	$(NKF) -e $*.m4 > /tmp/$*.m4
	m4 -P -D _WORKDIR=$(WORKDIR) /tmp/$*.m4 | $(NKF) -w > $*.xml
	rm -f /tmp/$*.m4

all: contents
	cd workshop; make
	cd announcement; make

contents: $(CONTENTS)

*.html: jf_www.m4

index.html: jfindex.db categ_num.pl news.m4

updated-docs.html: jfindex.db news.m4

copyright.html: jfindex.db mknocomlist.pl

update.xml: jfindex.db news.m4 jf_www.m4

install: all
	mkdir -p $(WWW_ROOT)
	rsync -av \
	--exclude='bin' \
	--exclude='*.m4' \
	--exclude='Makefile' \
	--exclude='ChangeLog' \
	* .htaccess $(WWW_ROOT)

clean:
	cd workshop; make clean
	cd announcement; make clean
	for page in $(CONTENTS); do \
	  m4src=`basename $$page .html`.m4;\
          if test -f $$m4src; then $(RM) $$page;fi;\
        done
	$(RM) update.xml
# EOF

=== docs/2001-JF-Biblio/Makefile ===
include ../../JF.conf

MULTI_FILES = yes

include ../../docbook.rules

=== docs/3-Button-Mouse/Makefile ===
include ../../JF.conf

include ../../JF.rules

=== docs/530deLinux/Makefile ===
include ../../JF.conf

JADE_ADD_OPTION = -V nochunks

include ../../JF.rules

index.html: $(BASENAME).sgml info
ifneq ($(NODELETE_OLDDOCS), yes)
	if [ -d $(WORKDIR) ]; then \
	  find $(WORKDIR)               $(FIND_EXPR) | xargs rm -f ;\
	  rm -rf $(WORK_SGML)/$(BASENAME) \
		 $(WORK_HTML)/$(BASENAME) \
		 $(WORK_HTML)/$(BASENAME)-images ;\
	fi
	if [ -d $(FTP_ROOT) ]; then \
	  find $(FTP_ROOT)              $(FIND_EXPR) | xargs rm -f ;\
	fi
	if [ -d $(LDP_ROOT) ]; then \
	  find $(LDP_ROOT)              $(FIND_EXPR) | xargs rm -f ;\
	fi
	if [ -d $(WWW_ROOT)/JFdocs ]; then \
	  find $(WWW_ROOT)/JFdocs       $(FIND_EXPR) | xargs rm -f ;\
	  rm -rf $(WWW_ROOT)/JFdocs/$(BASENAME) \
		 $(WWW_ROOT)/JFdocs/$(BASENAME)-images ;\
	fi
endif
	rm -f *.html
	$(JADE) $(JADE_OPTION) $(JADE_ADD_OPTION) $(BASENAME).sgml >index.html
	for f in *.html; do \
		nkf -w $$f > $$f.utf-8; \
		mv $$f.utf-8 $$f; done
	touch $(LAST_MODIFIED)

=== docs/ACPI-HOWTO/Makefile ===
include ../../JF.conf

LDP=no
TYPE=howto
RESTRICT_COMMERCIAL=no

include ../../JF.rules

=== docs/ATAPI-FAQ/Makefile ===
include ../../JF.conf

include ../../docbook.rules

=== docs/Authentication-Gateway-HOWTO/Makefile ===
include ../../JF.conf

MULTI_FILES=yes

include ../../JF.rules

=== docs/Automount/Makefile ===
include ../../JF.conf

include ../../JF.rules
SGML2HTML = $(SGML21HTML)

=== docs/BLFAQ/Makefile ===
include ../../JF.conf
include ../../JF.rules

=== docs/BogoMips/Makefile ===
include ../../JF.conf

LDP=yes
TYPE=mini-howto
RESTRICT_COMMERCIAL=no

include ../../docbook.rules

=== debian/control ===
Source: linuxdoc-tools
Section: text
Priority: optional
Maintainer: Taketoshi Sano <sano@debian.org>
Standards-Version: 3.5.6
Build-Depends: sp|opensp, tetex-bin, texinfo, groff (>= 1.15.3.1), tetex-extra, flex, gawk|mawk, perl

Package: linuxdoc-tools
Architecture: any
Depends: ${shlibs:Depends}, sp|opensp, sgml-data, sgml-base, gawk|mawk, perl
Suggests: tetex-base (>= 0.9.990406), tetex-bin, texinfo, info-browser,  tetex-extra, groff, linuxdoc-tools-text, linuxdoc-tools-latex, linuxdoc-tools-info
Provides: linuxdoc-sgml
Conflicts: linuxdoc-sgml, sgml-tools (<= 1.0.9-90)
Replaces: linuxdoc-sgml, sgml-tools, linuxdoc-tools-text (<< 2.0.20), linuxdoc-tools-info (<< 2.0.20), linuxdoc-tools-latex (<< 2.0.20)
Description: SGML converters for the LinuxDoc DTD only.
 LinuxDoc is a kind of SGML DTD. It was created for
 the Linux HOWTOs, and had been used officially by
 the Linux Documentation Project (LDP).  Now LDP has 
 aggressively migrated into the DocBook world, but many 
 documents are still available in LinuxDoc DTD sgml. 
 So users may still need the tool for LinuxDoc, therefore
 LinuxDoc-Tools was created on the basis of sgml-tools_v1.
 .
 The main command is linuxdoc, and -B option is provided
 to choose the proper backend driver for desired output.
 linuxdoc -B check: for syntax checking
 linuxdoc -B html: conversion to html
 linuxdoc -B info: conversion to info
 linuxdoc -B latex: conversion to latex, dvi, and postscript
 linuxdoc -B lyx: conversion to lyx
 linuxdoc -B rtf: conversion to rtf
 linuxdoc -B txt: conversion to text
 .
 HTML can be generated without any other Debian text
 processing package, but for the other formats the
 appropriate packages will have to be installed.
  - Text conversion requires groff
  - LaTeX conversion requires tetex-base, tetex-bin, and tetex-extra
  - Info conversion requires texinfo
 You can install linuxdoc-tools-text for required dependency of
 text conversion.  linuxdoc-tools-latex and linuxdoc-tools-info
 are provided for dependencies of latex or info conversion.
 .
 This linuxdoc-tools has been designed and implemented only
 for linuxdoc DTD.
 .
 If you wish to convert debiandoc DTD documents,
 Please install and use debiandoc-sgml package.
 If you wish to convert docbook DTD documents,
 Please install and use jade (with or without sgmltools-lite).

Package: linuxdoc-tools-text
Architecture: all
Depends: linuxdoc-tools, groff
Description: Text output facility of LinuxDoc-Tools
 LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
 This package is to provide the required dependency for
 text conversion facility of LinuxDoc-Tools.
 See the description of linuxdoc-tools package for more detail.

Package: linuxdoc-tools-latex
Architecture: all
Depends: linuxdoc-tools, tetex-base, tetex-bin, tetex-extra
Description: LaTeX/PS/PDF output facility of LinuxDoc-Tools
 LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
 This package is to provide the required dependency for 
 LaTeX/PS/PDF conversion facility of LinuxDoc-Tools.
 See the description of linuxdoc-tools package for more detail.

Package: linuxdoc-tools-info
Architecture: all
Depends: linuxdoc-tools, texinfo
Description: Info output facility of LinuxDoc-Tools
 LinuxDoc-Tools is a SGML converter for the LinuxDoc DTD only.
 This package is to provide the required dependency for
 info conversion facility of LinuxDoc-Tools.
 See the description of linuxdoc-tools package for more detail.
